$(function() {
  $('.qommon-map').each(function() {
     var map_options = Object();
     var initial_zoom = parseInt($(this).data('initial_zoom'));
     if (! isNaN(initial_zoom)) {
       map_options.zoom = initial_zoom;
     } else {
       map_options.zoom = 13;
     }
     var max_zoom = parseInt($(this).data('max_zoom'));
     if (! isNaN(max_zoom)) map_options.maxZoom = max_zoom;
     var min_zoom = parseInt($(this).data('min_zoom'));
     if (! isNaN(min_zoom)) map_options.minZoom = min_zoom;
     var map = L.map($(this).attr('id'), map_options);
     var hidden = $(this).prev();
     map.marker = null;
     var latlng;
     if ($(this).data('init-lat')) {
       latlng = [$(this).data('init-lat'), $(this).data('init-lng')]
       map.marker = L.marker(latlng);
       map.marker.addTo(map);
     } else if ($(this).data('def-lat')) {
       latlng = [$(this).data('def-lat'), $(this).data('def-lng')]
     } else {
       latlng = [50.84, 4.36];
     }
     map.setView(latlng, map_options.zoom);
     L.tileLayer(
        'http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png',
        {
                attribution: 'Map data &copy; <a href="http://openstreetmap.org">OpenStreetMap</a> contributors, <a href="http://creativecommons.org/licenses/by-sa/2.0/">CC-BY-SA</a>'
        }).addTo(map);
     if (! $(this).data('readonly')) {
       map.on('click', function(e) {
         if (map.marker === null) {
           map.marker = L.marker([0, 0]);
           map.marker.addTo(map);
         }
         map.marker.setLatLng(e.latlng);
         hidden.val(e.latlng.lat + ';' + e.latlng.lng);
       });
     }
     if ($(this).data('init-with-geoloc')) {
       map.on('locationfound', function(e) {
         hidden.val(e.latlng.lat + ';' + e.latlng.lng);
         map.setView(e.latlng, map_options.zoom);
       });
       map.locate({timeout: 1000, maximumAge: 60000});
     }
  });
});
